Bug 447873 - the "listen 80 default;"
the "listen 80 default;"
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nginx (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Hinegardner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-22 05:01 EDT by David Dick
Modified: 2008-06-11 00:33 EDT (History)
0 users

See Also:
Fixed In Version: 0.6.31-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-11 00:33:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch removes the "default" word from the listen line (310 bytes, patch)
2008-05-22 05:01 EDT, David Dick
no flags Details | Diff

  None (edit)
Description David Dick 2008-05-22 05:01:35 EDT
Description of problem:

the nginx.conf contains an instruction to use the server declaration in
nginx.conf as the default one.  This "default" instruction makes it impossible
to install a web application with a "listen 80;" and for the web application to
be accessible.

Version-Release number of selected component (if applicable):0.6.31


How reproducible:


Steps to Reproduce:
1. install a web application snippet in conf.d
2. attempt to access the web application with 
a web browser.
3.
  
Actual results:

regardless of the configuration in the conf.d file, the web application is
completely inaccessable

Expected results:

A web application should be accessable by default regardless of the host name /
ip address of the machine.

Additional info:
Comment 1 David Dick 2008-05-22 05:01:35 EDT
Created attachment 306353 [details]
patch removes the "default" word from the listen line
Comment 2 Jeremy Hinegardner 2008-05-26 22:32:15 EDT
sounds reasonable, the 'default' server will fall back to the one in the main
file if the server_name:port fails to match something in the conf.d directory in
any case. 
Comment 3 Fedora Update System 2008-05-27 21:44:41 EDT
nginx-0.6.31-2.fc9 has been submitted as an update for Fedora 9
Comment 4 Fedora Update System 2008-05-30 22:14:57 EDT
nginx-0.6.31-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nginx'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-4752
Comment 5 Fedora Update System 2008-06-11 00:33:43 EDT
nginx-0.6.31-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.